package fsm

// 定义任务状态
const (
	StatePending   = "pending"   // 待派发
	StateAssigned  = "assigned"  // 已派发
	StateAccepted  = "accepted"  // 已接单
	StateSubmitted = "submitted" // 已提交
	StateApproved  = "approved"  // 已审核
	StateRejected  = "rejected"  // 已驳回
	StateSettled   = "settled"   // 已结算
	StateCanceled  = "canceled"  // 已取消
)

// 定义任务事件
const (
	EventAssign  = "assign"  // 派发任务
	EventAccept  = "accept"  // 接受任务
	EventSubmit  = "submit"  // 提交任务
	EventApprove = "approve" // 审核通过
	EventReject  = "reject"  // 审核驳回
	EventSettle  = "settle"  // 结算任务
	EventCancel  = "cancel"  // 取消任务
)
